package floor;

import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;

import communication.messages.InitializeMessage;

public class FloorSubsystemTest {

	private FloorSubsystem floorSystem;

	@Before
	public void setUp() throws Exception {
		floorSystem = new FloorSubsystem();
	}

	@Test
	public void testInitializeSystem() {
		int numFloors = 10;
		int numElevators = 2;
		int floorMoveTime = 3000;
		int doorOperationDelay = 3000;
		InitializeMessage initializeMessage = new InitializeMessage(numFloors, numElevators, floorMoveTime, doorOperationDelay);

		floorSystem.initializeSystem(initializeMessage);

		assertEquals(numFloors, floorSystem.getFloorList().size());
	}

}
